Skip to main content
PUT
/
user
/
contacts
/
{userToken}
Update contact
curl --request PUT \
  --url https://raas-partner-cv.nomas.cash/v1/user/contacts/{userToken} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "firstName": "Hugo",
  "lastName": "Tru",
  "phone": "+19166014999",
  "email": "javier+1@leapfinancial.com",
  "countryCode": "US"
}
'
{
  "reason": "Contact updated"
}

Authorizations

api_key
string
header
required

Path Parameters

userToken
string
required

User token (contact owner).

Body

application/json

Updated contact attributes.

PUT /user/contacts/{userToken} body for partner update contact (match existing contact by phone).

phone
string
required

Phone number with country code. Example: +19166020018.

alias
string
countryCode
string

Country code. ISO 3166-1 alpha-2.

lastName
string
firstName
string
email
string

Email address.

Response

200 — OK. Contact updated.

Scenarios for this response:

ScenarioHow to reproduceTypical code / body
Update appliedValid token + existing contact + body.{ "reason": "Contact updated", "code": "OK" }

See also Full scenario matrix.

code
string
required
reason
string
required